minetest.register_craft({
   type = 'shapeless',
   output = 'furniture:lectern_encyclopedia',
   recipe = {
      'doc_encyclopedia:encyclopedia',
      'furniture:lectern'
   }
})

minetest.register_craft({
   type = 'shapeless',
   output = 'furniture:bookshelf_locked',
   recipe = {
      'default:bookshelf',
      'furniture:lock'
   }
})

minetest.register_craft({
   type = 'shapeless',
   output = 'furniture:shelf_vessel_locked',
   recipe = {
      'vessels:shelf',
      'furniture:lock'
   }
})

minetest.register_craft({
   type = 'shapeless',
   output = 'furniture:multishelf_locked',
   recipe = {
      'xdecor:multishelf',
      'furniture:lock'
   }
})
